org.apache.lucene.spatial.spatial4j

## Class Geo3dBinaryCodec

- java.lang.Object
- - org.locationtech.spatial4j.io.BinaryCodec
  - - org.apache.lucene.spatial.spatial4j.Geo3dBinaryCodec

-     public class Geo3dBinaryCodec
      extends org.locationtech.spatial4j.io.BinaryCodec

  Geo3d implementation of `BinaryCodec`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.locationtech.spatial4j.io.BinaryCodec

      `ctx, TYPE_CIRCLE, TYPE_COLL, TYPE_GEOM, TYPE_POINT, TYPE_RECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geo3dBinaryCodec(org.locationtech.spatial4j.context.SpatialContext ctx, org.locationtech.spatial4j.context.SpatialContextFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.locationtech.spatial4j.shape.Circle` | `readCircle(DataInput dataInput)`
    `org.locationtech.spatial4j.shape.ShapeCollection` | `readCollection(DataInput dataInput)`
    `org.locationtech.spatial4j.shape.Point` | `readPoint(DataInput dataInput)`
    `org.locationtech.spatial4j.shape.Rectangle` | `readRect(DataInput dataInput)`
    `org.locationtech.spatial4j.shape.Shape` | `readShape(DataInput dataInput)`
    `void` | `writeCircle(DataOutput dataOutput, org.locationtech.spatial4j.shape.Circle c)`
    `void` | `writeCollection(DataOutput dataOutput, org.locationtech.spatial4j.shape.ShapeCollection col)`
    `void` | `writePoint(DataOutput dataOutput, org.locationtech.spatial4j.shape.Point pt)`
    `void` | `writeRect(DataOutput dataOutput, org.locationtech.spatial4j.shape.Rectangle r)`
    `void` | `writeShape(DataOutput dataOutput, org.locationtech.spatial4j.shape.Shape s)`

    - ### Methods inherited from class org.locationtech.spatial4j.io.BinaryCodec

      `readDim, readShapeByTypeIfSupported, typeForShape, writeDim, writeShapeByTypeIfSupported, writeShapeByTypeIfSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Geo3dBinaryCodec

          public Geo3dBinaryCodec(org.locationtech.spatial4j.context.SpatialContext ctx,
                                  org.locationtech.spatial4j.context.SpatialContextFactory factory)

  - ### Method Detail

    - #### readShape

          public org.locationtech.spatial4j.shape.Shape readShape(DataInput dataInput)
                                                           throws IOException

      Overrides:
        `readShape` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### writeShape

          public void writeShape(DataOutput dataOutput,
                                 org.locationtech.spatial4j.shape.Shape s)
                          throws IOException

      Overrides:
        `writeShape` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### readPoint

          public org.locationtech.spatial4j.shape.Point readPoint(DataInput dataInput)
                                                           throws IOException

      Overrides:
        `readPoint` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### writePoint

          public void writePoint(DataOutput dataOutput,
                                 org.locationtech.spatial4j.shape.Point pt)
                          throws IOException

      Overrides:
        `writePoint` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### readRect

          public org.locationtech.spatial4j.shape.Rectangle readRect(DataInput dataInput)
                                                              throws IOException

      Overrides:
        `readRect` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### writeRect

          public void writeRect(DataOutput dataOutput,
                                org.locationtech.spatial4j.shape.Rectangle r)
                         throws IOException

      Overrides:
        `writeRect` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### readCircle

          public org.locationtech.spatial4j.shape.Circle readCircle(DataInput dataInput)
                                                             throws IOException

      Overrides:
        `readCircle` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### writeCircle

          public void writeCircle(DataOutput dataOutput,
                                  org.locationtech.spatial4j.shape.Circle c)
                           throws IOException

      Overrides:
        `writeCircle` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### readCollection

          public org.locationtech.spatial4j.shape.ShapeCollection readCollection(DataInput dataInput)
                                                                          throws IOException

      Overrides:
        `readCollection` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

    - #### writeCollection

          public void writeCollection(DataOutput dataOutput,
                                      org.locationtech.spatial4j.shape.ShapeCollection col)
                               throws IOException

      Overrides:
        `writeCollection` in class `org.locationtech.spatial4j.io.BinaryCodec`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.